update requirements

parent 41318bc5
Pipeline #37740 passed with stage
in 1 minute and 29 seconds
......@@ -23,10 +23,12 @@ Requirements
Deckard requires following software to be installed:
- Python >= 3.3
- Python >= 3.5
- augeas_ - library for editing configuration files
- dnspython_ - DNS library for Python
- Jinja2_ - template engine for generating config files
- PyYAML_ - YAML parser for Python
- python-augeas_ - Python bindings for augeas API
- pytest_ - testing framework for Python, used for running the test cases
- pytest-xdist_ - module for pytest for distributed testing
- custom C libraries (installed automatically, see below)
......@@ -78,6 +80,7 @@ If you have any comments feel free to send e-mail to knot-dns@labs.nic.cz! Do no
Happy testing.
.. _`augeas`: http://augeas.net/
.. _`CSR`: http://apple.stackexchange.com/questions/193368/what-is-the-rootless-feature-in-el-capitan-really
.. _`Jinja2`: http://jinja.pocoo.org/
.. _`Knot DNS Resolver`: https://gitlab.labs.nic.cz/knot/resolver/blob/master/README.md
......@@ -90,5 +93,6 @@ Happy testing.
.. _`libfaketime`: https://github.com/wolfcw/libfaketime
.. _`modified socket_wrapper`: https://gitlab.labs.nic.cz/labs/socket_wrapper
.. _`original socket_wrapper`: https://cwrap.org/socket_wrapper.html
.. _`python-augeas`: https://pypi.org/project/python-augeas/
.. _`pytest`: https://pytest.org/
.. _`pytest-xdist`: https://pypi.python.org/pypi/pytest-xdist
......@@ -16,7 +16,7 @@ kwargs = {
'license': 'BSD',
'url': 'https://gitlab.labs.nic.cz/knot/deckard',
'packages': ['pydnstest'],
'python_requires': '>=3.3',
'python_requires': '>=3.5',
'install_requires': [
'dnspython>=1.15',
'jinja2',
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment